Get model metadata for device deployment
curl --request GET \
--url https://acusight.io/api/device/models/{model_version_id} \
--header 'X-Device-Key: <api-key>'import requests
url = "https://acusight.io/api/device/models/{model_version_id}"
headers = {"X-Device-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Device-Key': '<api-key>'}};
fetch('https://acusight.io/api/device/models/{model_version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"file_ext": "<string>",
"label_map": "<string>",
"model_version_id": 123,
"name": "<string>",
"task_type": "<string>",
"version": 123
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Devices & provisioning
Get model metadata for device deployment
Returns model metadata including name, version, file extension, task type, and label map.
GET
/
device
/
models
/
{model_version_id}
Get model metadata for device deployment
Authorizations
Device API key for edge agent authentication. Format: adk_
Path Parameters
Model Version ID
Was this page helpful?
⌘I